## rename clean-1.1

=== Makefile ===
NAME = $(shell basename $(CURDIR))
PYFILES = $(wildcard *.py)

check::
	ruff check $(PYFILES)
	mypy $(PYFILES)
	pyright $(PYFILES)
	vermin -vv --no-tips -i $(PYFILES)
	md-link-checker

build::
	rm -rf dist
	uv build

upload:: build
	uv-publish

doc::
	update-readme-usage

format::
	ruff check --select I --fix $(PYFILES) && ruff format $(PYFILES)

clean::
	@rm -vrf *.egg-info .venv/ build/ dist/ __pycache__/

## rename 0.20

=== debian/changelog ===
rename (0.20-7) unstable; urgency=medium

  * Allow options to follow other arguments (Closes: #885103)

 -- Dominic Hargreaves <dom@earth.li>  Mon, 19 Feb 2018 23:29:02 +0000

rename (0.20-6) unstable; urgency=medium

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Tue, 05 Sep 2017 22:49:36 +0100

rename (0.20-5) experimental; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Dominic Hargreaves ]
  * Add Multi-Arch: foreign (Closes: #872315)
  * Add prename symlink, with suitable Breaks/Replaces on perl
    (Closes: #870472)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 29 Aug 2017 19:17:40 +0100

rename (0.20-4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Dominic Hargreaves ]
  * Add Build-Depends on libmodule-build-perl

 -- Dominic Hargreaves <dom@earth.li>  Thu, 04 Jun 2015 23:52:20 +0100

rename (0.20-3) unstable; urgency=medium

  * Update Priority to standard, to match perl which provides an older
    version of 'rename'

 -- Dominic Hargreaves <dom@earth.li>  Mon, 05 May 2014 15:47:08 +0100

rename (0.20-2) unstable; urgency=medium

  * Rename package to 'rename' (Closes: #738135)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 23 Feb 2014 19:04:56 +0000

libfile-rename-perl (0.20-1) unstable; urgency=low

  * Initial Release (Closes: #735902)
  * Install rename as file-rename and register it as an alternative
    for rename (see #735134)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 18 Jan 2014 15:27:37 +0000

=== debian/control ===
Source: rename
Section: perl
Priority: standard
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Build-Depends: debhelper (>= 9.20120312)
Build-Depends-Indep: perl (>= 5.13.11),
 libmodule-build-perl,
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/rename.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/rename.git
Homepage: https://metacpan.org/release/File-Rename

Package: rename
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, perl (>= 5.26.0-6)
Provides: libfile-rename-perl
Conflicts: libfile-rename-perl
Breaks: perl (<< 5.26.0-6)
Replaces: libfile-rename-perl, perl (<< 5.26.0-6)
Multi-Arch: foreign
Description: Perl extension for renaming multiple files
 This package provides both a perl interface for renaming files
 (File::Rename) and a command line tool 'rename' which is intended to
 replace the version currently supplied by the perl package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# rename is an alternative, and file-rename is upstream's choice of
	# alternative name (see Build.PL)
	mv debian/rename/usr/bin/rename debian/rename/usr/bin/file-rename
	mv debian/rename/usr/share/man/man1/rename.1p debian/rename/usr/share/man/man1/file-rename.1p

## rename 1.00

=== debian/changelog ===
rename (1.00-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 Jul 2018 20:01:12 +0200

rename (0.35-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * New upstream release.
  * Drop no_require_order.patch, applied upstream.
  * Update years of upstream copyright.
  * Update build dependencies.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 4.1.4.
  * Bump debhelper compatibility level to 10.
  * Use 'set -e' in maintainer scripts. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Mon, 18 Jun 2018 22:06:05 +0200

=== debian/control ===
Source: rename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: standard
Build-Depends: debhelper (>= 10),
               libmodule-build-perl
Build-Depends-Indep: perl
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rename
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rename.git
Homepage: https://metacpan.org/release/File-Rename

Package: rename
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends},
         perl (>= 5.26.0-6)
Breaks: perl (<< 5.26.0-6)
Conflicts: libfile-rename-perl
Provides: libfile-rename-perl
Replaces: libfile-rename-perl,
          perl (<< 5.26.0-6)
Description: Perl extension for renaming multiple files
 This package provides both a perl interface for renaming files
 (File::Rename) and a command line tool 'rename' which is intended to
 replace the version currently supplied by the perl package.

## rename 1.10

=== debian/changelog ===
rename (1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Install new CONTRIBUTING document.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2018 16:59:38 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 10),
                libmodule-build-perl
 Build-Depends-Indep: perl
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rename
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rename.git
 Homepage: https://metacpan.org/release/File-Rename

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# rename is an alternative, and file-rename is upstream's choice of
	# alternative name (see Build.PL)
	mv -v $(TMP)/usr/bin/rename $(TMP)/usr/bin/file-rename
	mv -v $(TMP)/usr/share/man/man1/rename.1p $(TMP)/usr/share/man/man1/file-rename.1p

=== debian/watch ===
version=3
https://metacpan.org/release/File-Rename   .*/File-Rename-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## rename 1.10-1+9.0trisquel1

=== debian/changelog ===
rename (1.10-1+9.0trisquel1) etiona-backports; urgency=medium

  * Backported from focal

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 25 Jan 2021 14:13:44 +0000

## rename 1.13

=== debian/changelog ===
rename (1.13-1) unstable; urgency=medium

  * Team upload.

  [ Dominic Hargreaves ]
  * Reflect fact that rename is no longer provided by perl (Closes: #929069)

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 1.13.
  * Update Build-Depends-Indep and Recommends.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Jun 2020 03:18:16 +0200

=== debian/control ===
Source: rename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: standard
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl
Build-Depends-Indep: libio-stringy-perl <!nocheck>,
                     libpod-parser-perl <!nocheck>,
                     perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rename
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rename.git
Homepage: https://metacpan.org/release/File-Rename
Rules-Requires-Root: no

Package: rename
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends},
         perl (>= 5.26.0-6)
Recommends: libio-stringy-perl,
            libpod-parser-perl
Breaks: perl (<< 5.26.0-6)
Conflicts: libfile-rename-perl
Provides: libfile-rename-perl
Replaces: libfile-rename-perl,
          perl (<< 5.26.0-6)
Description: Perl extension for renaming multiple files
 This package provides both a perl interface for renaming files
 (File::Rename) and a command line tool 'rename' which is intended to
 replace the version that used to be supplied by the perl package.

=== debian/watch ===
version=4
https://metacpan.org/release/File-Rename   .*/File-Rename-v?@ANY_VERSION@@ARCHIVE_EXT@$

## rename 1.30

=== debian/changelog ===
rename (1.30-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 1.30.
  * Update years of upstream copyright.
  * Update test and runtime dependencies.
    Remove libio-stringy-perl from Build-Depends-Indep and Recommends, and
    libpod-parser-perl from Recommends.
  * Drop ancient Breaks/Conflicts/Provides/Replaces.
  * Drop unneeded version constraint from 'perl' in Depends.
  * Declare compliance with Debian Policy 4.6.0.
  * Enable autopkgtest smoke test:
    - Add autopkgtest.patch to enable smoke tests with installed script.
    - Drop debian/tests/pkg-perl/SKIP to run autopkgtest's smoke test.

 -- gregor herrmann <gregoa@debian.org>  Sun, 31 Oct 2021 17:47:07 +0100

=== debian/control ===
Source: rename
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Dominic Hargreaves <dom@earth.li>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: standard
Build-Depends: debhelper-compat (= 13),
               libmodule-build-perl
Build-Depends-Indep: libpod-parser-perl <!nocheck>,
                     perl
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rename
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rename.git
Homepage: https://metacpan.org/release/File-Rename
Rules-Requires-Root: no

Package: rename
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends}
Description: Perl extension for renaming multiple files
 This package provides both a perl interface for renaming files
 (File::Rename) and a command line tool 'rename' which is intended to
 replace the version that used to be supplied by the perl package.

## rename 1.31

=== debian/changelog ===
rename (1.31-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.31.
  * Declare compliance with Debian Policy 4.6.1.
  * Refresh autopkgtest.patch.
  * Add new patch doc-file-rename.patch.
    As we install `rename' as `file-rename', update the POD/manpage.
    Also adjust a test using the examples from the documentation.
  * Update long description.
    The package primarily provides a script called `file-rename'.

 -- gregor herrmann <gregoa@debian.org>  Fri, 13 May 2022 00:06:44 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libmodule-build-perl
 Build-Depends-Indep: libpod-parser-perl <!nocheck>,
                      perl
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rename
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rename.git
 Homepage: https://metacpan.org/release/File-Rename
@@ -20,6 +20,6 @@
 Depends: ${misc:Depends},
          ${perl:Depends}
 Description: Perl extension for renaming multiple files
- This package provides both a perl interface for renaming files
- (File::Rename) and a command line tool 'rename' which is intended to
- replace the version that used to be supplied by the perl package.
+ This package provides both a perl interface for renaming files (File::Rename)
+ and a command line tool 'file-rename' which is intended to replace the version
+ that used to be supplied by the perl package.

## rename 2.01

=== debian/changelog ===
rename (2.01-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.01.
  * Update years of upstream copyright.
  * Refresh autopkgtest.patch.
  * Refresh doc-file-rename.patch.
  * Update handling of unsafe-rename script.
    This is now generated during build, so we move it to the
    examples directory ourselves.

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Jan 2023 19:54:31 +0100

rename (2.00-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.00.
  * Remove libmodule-build-perl from Build-Depends.
  * Update debian/NEWS.Developer: remove obsolete point about Build.PL.
  * debian/rules: remove workaround for missing hashbang.
  * Install new unsafe-rename (unsafe.PL) as an example.
  * Refresh doc-file-rename.patch (offset).
  * Update doc-file-rename.patch.
    Adjust t/u/rename-examples.t to our changed filename as well.

 -- gregor herrmann <gregoa@debian.org>  Sat, 07 Jan 2023 17:52:27 +0100

rename (1.99-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.99.
  * Update years of upstream copyright.
  * Add debian/NEWS.Developer to mention incompatible changes
    in this version.
  * Declare compliance with Debian Policy 4.6.2.
  * Refresh patches.
  * Add (back) hashbang to /usr/bin/file-rename.
  * autopkgtest: skip smoke tests in t/u/ (unbuilt uninstalled unsafe-rename).

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2022 04:11:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: standard
-Build-Depends: debhelper-compat (= 13),
-               libmodule-build-perl
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: libpod-parser-perl <!nocheck>,
                      perl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/rename
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/rename.git
 Homepage: https://metacpan.org/release/File-Rename

## rename 2.02

=== debian/changelog ===
rename (2.02-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.02.
  * Refresh doc-file-rename.patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Jan 2024 03:29:15 +0100

rename (2.01-2) unstable; urgency=medium

  * Team upload.
  * debian/clean: remove generated files. (Closes: #1045546)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Aug 2023 22:23:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,14 @@
 
 override_dh_auto_install:
 	dh_auto_install
+
 	# rename is an alternative, and file-rename is upstream's choice of
-	# alternative name (see Build.PL)
+	# alternative name (see Makefile.PL)
 	mv -v $(TMP)/usr/bin/rename $(TMP)/usr/bin/file-rename
 	mv -v $(TMP)/usr/share/man/man1/rename.1p $(TMP)/usr/share/man/man1/file-rename.1p
+
+	# install as an example
+	# not via rename.example as it is generated during build
+	mkdir -p $(TMP)/usr/share/doc/$(PACKAGE)/examples/
+	mv -v $(TMP)/usr/bin/unsafe-rename $(TMP)/usr/share/doc/$(PACKAGE)/examples/
+	$(RM) -v $(TMP)/usr/share/man/man1/unsafe-rename.1p
